package foundation.e.mail.mailstore.migrations;


import java.util.List;

import android.content.Context;

import foundation.e.mail.Account;
import foundation.e.mail.mail.Flag;
import foundation.e.mail.mailstore.LocalStore;
import foundation.e.mail.preferences.Storage;


/**
 * Helper to allow accessing classes and methods that aren't visible or accessible to the 'migrations' package
 */
public interface MigrationsHelper {
    LocalStore getLocalStore();
    Storage getStorage();
    Account getAccount();
    Context getContext();
    String serializeFlags(List<Flag> flags);
}
